public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: games-util/xpadneo/
Date: Sun, 11 Apr 2021 15:03:24 +0000 (UTC)	[thread overview]
Message-ID: <1618153365.15e69ded7cdadb256a0d3e54c4284af4b79f0bba.sam@gentoo> (raw)

commit:     15e69ded7cdadb256a0d3e54c4284af4b79f0bba
Author:     Ionen Wolkens <sudinave <AT> gmail <DOT> com>
AuthorDate: Sat Apr  3 16:23:03 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sun Apr 11 15:02:45 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=15e69ded

games-util/xpadneo: add 0.9.1

Signed-off-by: Ionen Wolkens <sudinave <AT> gmail.com>
Signed-off-by: Sam James <sam <AT> gentoo.org>

 games-util/xpadneo/Manifest             |  1 +
 games-util/xpadneo/xpadneo-0.9.1.ebuild | 64 +++++++++++++++++++++++++++++++++
 2 files changed, 65 insertions(+)

diff --git a/games-util/xpadneo/Manifest b/games-util/xpadneo/Manifest
index 4cb0f0f85a8..49e09598d88 100644
--- a/games-util/xpadneo/Manifest
+++ b/games-util/xpadneo/Manifest
@@ -1 +1,2 @@
+DIST xpadneo-0.9.1.tar.gz 1353080 BLAKE2B fc2207e005cae629da50048330cbaa7d27183b0bbb083d35c3c144e91470273b8c7006c4b62d10b947dbe4fd003ca39623630923e477aa4eff3c243405d876bd SHA512 51063d104f165018b8430e26d2ab5a622c214efaaba3f7706cc99892b2054f57667b419672de5c2696189d389401b07024658c36a88343d980de9802789bcb10
 DIST xpadneo-0.9.tar.gz 1351003 BLAKE2B dd41e687a44415c9c44d70ae4df9c858a7218eca301e61421cee4b9e80d912f9336dad15636dc38cb79128a635e33bb2b795fadebe2f53ebe42d192212364cb0 SHA512 0819af24bfa556dd330abeb1180b0a46105428b6b2c8529bb357cd5b578fe6f21e057f3f457994b21b6d5d6b207d46bdf0ff80a6415f833396595ba5e7309389

diff --git a/games-util/xpadneo/xpadneo-0.9.1.ebuild b/games-util/xpadneo/xpadneo-0.9.1.ebuild
new file mode 100644
index 00000000000..75edf29d395
--- /dev/null
+++ b/games-util/xpadneo/xpadneo-0.9.1.ebuild
@@ -0,0 +1,64 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit linux-mod toolchain-funcs udev
+
+if [[ ${PV} == 9999 ]]; then
+	inherit git-r3
+	EGIT_REPO_URI="https://github.com/atar-axis/xpadneo.git"
+	EGIT_MIN_CLONE_TYPE="single"
+else
+	SRC_URI="https://github.com/atar-axis/xpadneo/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+	KEYWORDS="~amd64 ~x86"
+fi
+
+DESCRIPTION="Advanced Linux Driver for Xbox One Wireless Controller"
+HOMEPAGE="https://atar-axis.github.io/xpadneo/"
+
+LICENSE="GPL-3"
+SLOT="0"
+
+S+="/hid-${PN}"
+MODULE_NAMES="hid-${PN}(kernel/drivers/hid::src)"
+BUILD_PARAMS='V=1 LD="$(tc-getLD)" KERNEL_SOURCE_DIR="${KV_OUT_DIR}"'
+BUILD_TARGETS="modules"
+
+CONFIG_CHECK="INPUT_FF_MEMLESS"
+
+src_install() {
+	linux-mod_src_install
+
+	insinto /etc/modprobe.d
+	doins etc-modprobe.d/${PN}.conf
+
+	udev_dorules etc-udev-rules.d/60-${PN}.rules
+
+	dodoc -r ../docs/{[^i]*.md,descriptors,reports} ../NEWS.md
+}
+
+pkg_postinst() {
+	linux-mod_pkg_postinst
+	udev_reload
+
+	local ertm=/sys/module/bluetooth/parameters/disable_ertm
+	if ! [[ ${REPLACING_VERSIONS} && $(<${ertm}) == Y ]]; then
+		elog "To pair the gamepad and view module options, see documentation in:"
+		elog "  ${EROOT}/usr/share/doc/${PF}"
+		elog
+		elog "Be warned that bluetooth's ERTM (Enhanced ReTransmission Mode) can"
+		elog "cause the gamepad to enter a re-connection loop."
+		elog "- To disable immediately:"
+		elog "    echo Y > ${ertm}"
+		elog "- To disable for next and subsequent boot:"
+		elog "    echo 'options bluetooth disable_ertm=y' > ${EROOT}/etc/modprobe.d/no-ertm.conf"
+		elog "- Or, if bluetooth isn't a module, add to the kernel's command line:"
+		elog "    bluetooth.disable_ertm=y"
+	fi
+}
+
+pkg_postrm() {
+	linux-mod_pkg_postrm
+	udev_reload
+}


             reply	other threads:[~2021-04-11 15:03 UTC|newest]

Thread overview: 31+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-04-11 15:03 Sam James [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-01-07 17:03 [gentoo-commits] repo/gentoo:master commit in: games-util/xpadneo/ Jakov Smolić
2024-12-24  7:03 Ionen Wolkens
2024-12-23 15:39 Ionen Wolkens
2024-12-23 15:39 Ionen Wolkens
2024-03-20  7:17 Ionen Wolkens
2024-03-14 19:19 Sam James
2024-02-13  6:17 Ionen Wolkens
2024-02-13  6:17 Ionen Wolkens
2023-07-14 21:32 Ionen Wolkens
2023-06-08 12:24 Arthur Zamarin
2023-05-29 13:05 Ionen Wolkens
2022-12-02  3:18 Ionen Wolkens
2022-09-27 23:46 Ionen Wolkens
2022-09-17 23:14 Ionen Wolkens
2022-06-28  1:29 Ionen Wolkens
2022-06-28  1:29 Ionen Wolkens
2022-06-02 15:07 Ionen Wolkens
2022-05-30  3:09 Ionen Wolkens
2022-05-26  6:21 Ionen Wolkens
2022-05-26  6:21 Ionen Wolkens
2021-09-03  4:40 Ionen Wolkens
2021-08-07  2:36 Ionen Wolkens
2021-05-09  4:42 Sam James
2021-04-11 15:03 Sam James
2021-04-11 15:03 Sam James
2021-04-05 15:03 Sam James
2021-04-04  9:52 Sam James
2021-03-26 15:55 Sam James
2021-03-22  5:18 Sam James
2021-03-16 14:51 Sam James

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1618153365.15e69ded7cdadb256a0d3e54c4284af4b79f0bba.sam@gentoo \
    --to=sam@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox